1# Makefile.in generated by automake 1.9.6-MirPorts-6 from Makefile.am.
2# @configure_input@
3
4# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5# 2003, 2004, 2005  Free Software Foundation, Inc.
6# This Makefile.in is free software; the Free Software Foundation
7# gives unlimited permission to copy and/or distribute it,
8# with or without modifications, as long as this notice is preserved.
9
10# This program is distributed in the hope that it will be useful,
11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13# PARTICULAR PURPOSE.
14
15@SET_MAKE@
16
17# $MirOS: src/gnu/usr.bin/cvs/Makefile.in,v 1.17 2013/06/26 19:57:56 tg Exp $
18# Master Makefile for the GNU Concurrent Versions System.
19# Copyright (C) 1986, 1987, 1988, 1989, 1990, 1991, 1992, 1993, 1994,
20#               1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002, 2003
21#               Free Software Foundation, Inc.
22
23# This program is free software; you can redistribute it and/or modify
24# it under the terms of the GNU General Public License as published by
25# the Free Software Foundation; either version 2, or (at your option)
26# any later version.
27
28# This program is distributed in the hope that it will be useful,
29# but WITHOUT ANY WARRANTY; without even the implied warranty of
30# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
31# GNU General Public License for more details.
32srcdir = @srcdir@
33top_srcdir = @top_srcdir@
34VPATH = @srcdir@
35pkgdatadir = $(datadir)/@PACKAGE@
36pkglibdir = $(libdir)/@PACKAGE@
37pkgincludedir = $(includedir)/@PACKAGE@
38top_builddir = .
39am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
40INSTALL = @INSTALL@
41install_sh_DATA = $(SHELL) $(install_sh) -c -m 644
42install_sh_PROGRAM = $(SHELL) $(install_sh) -c
43install_sh_SCRIPT = $(SHELL) $(install_sh) -c
44INSTALL_HEADER = $(INSTALL_DATA)
45transform = $(program_transform_name)
46NORMAL_INSTALL = :
47PRE_INSTALL = :
48POST_INSTALL = :
49NORMAL_UNINSTALL = :
50PRE_UNINSTALL = :
51POST_UNINSTALL = :
52subdir = .
53DIST_COMMON = README $(am__configure_deps) $(srcdir)/Makefile.am \
54	$(srcdir)/Makefile.in $(srcdir)/config.h.in \
55	$(top_srcdir)/configure AUTHORS COPYING ChangeLog INSTALL NEWS \
56	TODO compile install-sh missing mkinstalldirs
57ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
58am__aclocal_m4_deps = $(top_srcdir)/m4/allocsa.m4 \
59	$(top_srcdir)/m4/atexit.m4 $(top_srcdir)/m4/bison.m4 \
60	$(top_srcdir)/m4/canon-host.m4 \
61	$(top_srcdir)/m4/canonicalize.m4 \
62	$(top_srcdir)/m4/chdir-long.m4 $(top_srcdir)/m4/clock_time.m4 \
63	$(top_srcdir)/m4/closeout.m4 $(top_srcdir)/m4/codeset.m4 \
64	$(top_srcdir)/m4/cvs_func_printf_ptr.m4 \
65	$(top_srcdir)/m4/d-ino.m4 $(top_srcdir)/m4/dirname.m4 \
66	$(top_srcdir)/m4/dos.m4 $(top_srcdir)/m4/dup2.m4 \
67	$(top_srcdir)/m4/eealloc.m4 $(top_srcdir)/m4/eoverflow.m4 \
68	$(top_srcdir)/m4/error.m4 $(top_srcdir)/m4/exitfail.m4 \
69	$(top_srcdir)/m4/extensions.m4 $(top_srcdir)/m4/filenamecat.m4 \
70	$(top_srcdir)/m4/fpending.m4 $(top_srcdir)/m4/ftruncate.m4 \
71	$(top_srcdir)/m4/getaddrinfo.m4 \
72	$(top_srcdir)/m4/getcwd-path-max.m4 $(top_srcdir)/m4/getcwd.m4 \
73	$(top_srcdir)/m4/getdate.m4 $(top_srcdir)/m4/getdelim.m4 \
74	$(top_srcdir)/m4/gethostname.m4 $(top_srcdir)/m4/getline.m4 \
75	$(top_srcdir)/m4/getlogin_r.m4 $(top_srcdir)/m4/getndelim2.m4 \
76	$(top_srcdir)/m4/getnline.m4 $(top_srcdir)/m4/getpagesize.m4 \
77	$(top_srcdir)/m4/gettime.m4 $(top_srcdir)/m4/gettimeofday.m4 \
78	$(top_srcdir)/m4/gnulib-comp.m4 $(top_srcdir)/m4/intmax_t.m4 \
79	$(top_srcdir)/m4/inttypes.m4 $(top_srcdir)/m4/inttypes_h.m4 \
80	$(top_srcdir)/m4/longdouble.m4 $(top_srcdir)/m4/longlong.m4 \
81	$(top_srcdir)/m4/lstat.m4 $(top_srcdir)/m4/mbrtowc.m4 \
82	$(top_srcdir)/m4/mbstate_t.m4 $(top_srcdir)/m4/memchr.m4 \
83	$(top_srcdir)/m4/memmove.m4 $(top_srcdir)/m4/mempcpy.m4 \
84	$(top_srcdir)/m4/memrchr.m4 $(top_srcdir)/m4/minmax.m4 \
85	$(top_srcdir)/m4/mkdir-slash.m4 $(top_srcdir)/m4/mkstemp.m4 \
86	$(top_srcdir)/m4/mmap-anon.m4 $(top_srcdir)/m4/nanosleep.m4 \
87	$(top_srcdir)/m4/onceonly_2_57.m4 $(top_srcdir)/m4/openat.m4 \
88	$(top_srcdir)/m4/pagealign_alloc.m4 \
89	$(top_srcdir)/m4/pathmax.m4 $(top_srcdir)/m4/quotearg.m4 \
90	$(top_srcdir)/m4/readlink.m4 $(top_srcdir)/m4/regex.m4 \
91	$(top_srcdir)/m4/rename.m4 $(top_srcdir)/m4/restrict.m4 \
92	$(top_srcdir)/m4/rpmatch.m4 $(top_srcdir)/m4/save-cwd.m4 \
93	$(top_srcdir)/m4/setenv.m4 $(top_srcdir)/m4/signed.m4 \
94	$(top_srcdir)/m4/size_max.m4 $(top_srcdir)/m4/sockpfaf.m4 \
95	$(top_srcdir)/m4/ssize_t.m4 $(top_srcdir)/m4/stat-macros.m4 \
96	$(top_srcdir)/m4/stdbool.m4 $(top_srcdir)/m4/stdint.m4 \
97	$(top_srcdir)/m4/stdint_h.m4 $(top_srcdir)/m4/strdup.m4 \
98	$(top_srcdir)/m4/strerror.m4 $(top_srcdir)/m4/strftime.m4 \
99	$(top_srcdir)/m4/strtol.m4 $(top_srcdir)/m4/strtoul.m4 \
100	$(top_srcdir)/m4/sunos57-select.m4 $(top_srcdir)/m4/time_r.m4 \
101	$(top_srcdir)/m4/timespec.m4 $(top_srcdir)/m4/tm_gmtoff.m4 \
102	$(top_srcdir)/m4/tzset.m4 $(top_srcdir)/m4/uint32_t.m4 \
103	$(top_srcdir)/m4/uintmax_t.m4 $(top_srcdir)/m4/ulonglong.m4 \
104	$(top_srcdir)/m4/unistd-safer.m4 \
105	$(top_srcdir)/m4/unlocked-io.m4 $(top_srcdir)/m4/vasnprintf.m4 \
106	$(top_srcdir)/m4/vasprintf.m4 $(top_srcdir)/m4/wchar_t.m4 \
107	$(top_srcdir)/m4/wint_t.m4 $(top_srcdir)/m4/xalloc.m4 \
108	$(top_srcdir)/m4/xgetcwd.m4 $(top_srcdir)/m4/xreadlink.m4 \
109	$(top_srcdir)/m4/xsize.m4 $(top_srcdir)/m4/yesno.m4 \
110	$(top_srcdir)/configure.in
111am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
112	$(ACLOCAL_M4)
113am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
114 configure.lineno configure.status.lineno
115mkinstalldirs = $(SHELL) $(GNUSYSTEM_AUX_DIR)/mkinstalldirs
116CONFIG_HEADER = config.h
117CONFIG_CLEAN_FILES =
118depcomp =
119am__depfiles_maybe =
120SOURCES =
121DIST_SOURCES =
122RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
123	html-recursive info-recursive install-data-recursive \
124	install-exec-recursive install-info-recursive \
125	install-recursive installcheck-recursive installdirs-recursive \
126	pdf-recursive ps-recursive uninstall-info-recursive \
127	uninstall-recursive
128ETAGS = etags
129CTAGS = ctags
130DIST_SUBDIRS = $(SUBDIRS)
131DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
132distdir = $(PACKAGE)-$(VERSION)
133top_distdir = $(distdir)
134am__remove_distdir = \
135  { test ! -d $(distdir) \
136    || { find $(distdir) -type d ! -perm -200 -exec chmod u+w {} ';' \
137         && rm -fr $(distdir); }; }
138DIST_ARCHIVES = $(distdir).tar.gz $(distdir).tar.bz2
139GZIP_ENV = --best
140distuninstallcheck_listfiles = find . -type f -print
141distcleancheck_listfiles = find . -type f -print
142ACLOCAL = @ACLOCAL@
143ALLOCA = @ALLOCA@
144AMDEP_FALSE = @AMDEP_FALSE@
145AMDEP_TRUE = @AMDEP_TRUE@
146AMTAR = @AMTAR@
147AUTOCONF = @AUTOCONF@
148AUTOHEADER = @AUTOHEADER@
149AUTOMAKE = @AUTOMAKE@
150AWK = @AWK@
151CC = @CC@
152CCDEPMODE = @CCDEPMODE@
153CFLAGS = @CFLAGS@
154CPP = @CPP@
155CPPFLAGS = @CPPFLAGS@
156CSH = @CSH@
157CYGPATH_W = @CYGPATH_W@
158DEFS = @DEFS@
159DEPDIR = @DEPDIR@
160ECHO_C = @ECHO_C@
161ECHO_N = @ECHO_N@
162ECHO_T = @ECHO_T@
163EDITOR = @EDITOR@
164EGREP = @EGREP@
165EOVERFLOW = @EOVERFLOW@
166EXEEXT = @EXEEXT@
167GREP = @GREP@
168HAVE_LONG_64BIT = @HAVE_LONG_64BIT@
169HAVE_LONG_LONG_64BIT = @HAVE_LONG_LONG_64BIT@
170HAVE_PUTENV = @HAVE_PUTENV@
171HAVE__BOOL = @HAVE__BOOL@
172INSTALL_DATA = @INSTALL_DATA@
173INSTALL_PROGRAM = @INSTALL_PROGRAM@
174INSTALL_SCRIPT = @INSTALL_SCRIPT@
175INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
176LDFLAGS = @LDFLAGS@
177LIBOBJS = @LIBOBJS@
178LIBS = @LIBS@
179LIB_CLOCK_GETTIME = @LIB_CLOCK_GETTIME@
180LIB_NANOSLEEP = @LIB_NANOSLEEP@
181LN_S = @LN_S@
182LTLIBOBJS = @LTLIBOBJS@
183MAINT = @MAINT@
184MAINTAINER_MODE_FALSE = @MAINTAINER_MODE_FALSE@
185MAINTAINER_MODE_TRUE = @MAINTAINER_MODE_TRUE@
186MAKEINFO = @MAKEINFO@
187MAKE_TARGETS_IN_VPATH_FALSE = @MAKE_TARGETS_IN_VPATH_FALSE@
188MAKE_TARGETS_IN_VPATH_TRUE = @MAKE_TARGETS_IN_VPATH_TRUE@
189MKTEMP = @MKTEMP@
190OBJEXT = @OBJEXT@
191PACKAGE = @PACKAGE@
192PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
193PACKAGE_NAME = @PACKAGE_NAME@
194PACKAGE_STRING = @PACKAGE_STRING@
195PACKAGE_TARNAME = @PACKAGE_TARNAME@
196PACKAGE_VERSION = @PACKAGE_VERSION@
197PATH_SEPARATOR = @PATH_SEPARATOR@
198PERL = @PERL@
199PR = @PR@
200PS2PDF = @PS2PDF@
201RANLIB = @RANLIB@
202ROFF = @ROFF@
203RSH_DFLT = @RSH_DFLT@
204SENDMAIL = @SENDMAIL@
205SET_MAKE = @SET_MAKE@
206SHELL = @SHELL@
207STDBOOL_H = @STDBOOL_H@
208STDINT_H = @STDINT_H@
209STRIP = @STRIP@
210TEXI2DVI = @TEXI2DVI@
211VERSION = @VERSION@
212YACC = @YACC@
213YFLAGS = @YFLAGS@
214ac_ct_CC = @ac_ct_CC@
215ac_prefix_program = @ac_prefix_program@
216am__fastdepCC_FALSE = @am__fastdepCC_FALSE@
217am__fastdepCC_TRUE = @am__fastdepCC_TRUE@
218am__include = @am__include@
219am__leading_dot = @am__leading_dot@
220am__quote = @am__quote@
221am__tar = @am__tar@
222am__untar = @am__untar@
223bindir = @bindir@
224build_alias = @build_alias@
225cvs_client_objects = @cvs_client_objects@
226datadir = @datadir@
227datarootdir = @datarootdir@
228docdir = @docdir@
229dvidir = @dvidir@
230exec_prefix = @exec_prefix@
231host_alias = @host_alias@
232htmldir = @htmldir@
233includedir = @includedir@
234infodir = @infodir@
235install_sh = @install_sh@
236libdir = @libdir@
237libexecdir = @libexecdir@
238localedir = @localedir@
239localstatedir = @localstatedir@
240mandir = @mandir@
241mkdir_p = @mkdir_p@
242oldincludedir = @oldincludedir@
243pdfdir = @pdfdir@
244prefix = @prefix@
245program_transform_name = @program_transform_name@
246psdir = @psdir@
247sbindir = @sbindir@
248sharedstatedir = @sharedstatedir@
249sysconfdir = @sysconfdir@
250target_alias = @target_alias@
251with_default_rsh = @with_default_rsh@
252
253# Unix source subdirs, where we'll want to run lint and etags:
254# This is a legacy variable from b4 Automake
255USOURCE_SUBDIRS = lib $(ZLIB_SUBDIRS) diff src
256# All other subdirs:
257SUBDIRS = $(USOURCE_SUBDIRS) man doc contrib
258ACLOCAL_AMFLAGS = -I m4
259EXTRA_DIST = \
260	.cvsignore \
261	BUGS \
262	ChangeLog.zoo \
263	DEVEL-CVS \
264	FAQ \
265	HACKING \
266	MINOR-BUGS \
267	PROJECTS \
268	README.VMS \
269	TESTS \
270	build.com \
271	cvs-format.el \
272	cvsnt.dep \
273	cvsnt.dsp \
274	cvsnt.dsw \
275	cvsnt.mak \
276	cvs.spec \
277	mktemp.sh \
278	m4/ChangeLog \
279	m4/README
280
281all: config.h
282	$(MAKE) $(AM_MAKEFLAGS) all-recursive
283
284.SUFFIXES:
285am--refresh:
286	@:
287$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am  $(am__configure_deps)
288	@for dep in $?; do \
289	  case '$(am__configure_deps)' in \
290	    *$$dep*) \
291	      echo ' cd $(srcdir) && $(AUTOMAKE) --gnu  --ignore-deps'; \
292	      cd $(srcdir) && $(AUTOMAKE) --gnu  --ignore-deps \
293		&& exit 0; \
294	      exit 1;; \
295	  esac; \
296	done; \
297	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  --ignore-deps Makefile'; \
298	cd $(top_srcdir) && \
299	  $(AUTOMAKE) --gnu  --ignore-deps Makefile
300.PRECIOUS: Makefile
301Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
302	@case '$?' in \
303	  *config.status*) \
304	    echo ' $(SHELL) ./config.status'; \
305	    $(SHELL) ./config.status;; \
306	  *) \
307	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
308	    cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
309	esac;
310
311$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
312	$(SHELL) ./config.status --recheck
313
314$(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
315	cd $(srcdir) && $(AUTOCONF)
316$(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
317	cd $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
318
319config.h: stamp-h1
320	@if test ! -f $@; then \
321	  rm -f stamp-h1; \
322	  $(MAKE) stamp-h1; \
323	else :; fi
324
325stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
326	@rm -f stamp-h1
327	cd $(top_builddir) && $(SHELL) ./config.status config.h
328$(srcdir)/config.h.in: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
329	cd $(top_srcdir) && $(AUTOHEADER)
330	rm -f stamp-h1
331	touch $@
332
333distclean-hdr:
334	-rm -f config.h stamp-h1
335uninstall-info-am:
336
337# This directory's subdirectories are mostly independent; you can cd
338# into them and run `make' without going through this Makefile.
339# To change the values of `make' variables: instead of editing Makefiles,
340# (1) if the variable is set in `config.status', edit `config.status'
341#     (which will cause the Makefiles to be regenerated when you run `make');
342# (2) otherwise, pass the desired values on the `make' command line.
343$(RECURSIVE_TARGETS):
344	@failcom='exit 1'; \
345	for f in x $$MAKEFLAGS; do \
346	  case $$f in \
347	    *=* | --[!k]*);; \
348	    *k*) failcom='fail=yes';; \
349	  esac; \
350	done; \
351	dot_seen=no; \
352	target=`echo $@ | sed s/-recursive//`; \
353	list='$(SUBDIRS)'; for subdir in $$list; do \
354	  echo "Making $$target in $$subdir"; \
355	  if test "$$subdir" = "."; then \
356	    dot_seen=yes; \
357	    local_target="$$target-am"; \
358	  else \
359	    local_target="$$target"; \
360	  fi; \
361	  (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
362	  || eval $$failcom; \
363	done; \
364	if test "$$dot_seen" = "no"; then \
365	  $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
366	fi; test -z "$$fail"
367
368mostlyclean-recursive clean-recursive distclean-recursive \
369maintainer-clean-recursive:
370	@failcom='exit 1'; \
371	for f in x $$MAKEFLAGS; do \
372	  case $$f in \
373	    *=* | --[!k]*);; \
374	    *k*) failcom='fail=yes';; \
375	  esac; \
376	done; \
377	dot_seen=no; \
378	case "$@" in \
379	  distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
380	  *) list='$(SUBDIRS)' ;; \
381	esac; \
382	rev=''; for subdir in $$list; do \
383	  if test "$$subdir" = "."; then :; else \
384	    rev="$$subdir $$rev"; \
385	  fi; \
386	done; \
387	rev="$$rev ."; \
388	target=`echo $@ | sed s/-recursive//`; \
389	for subdir in $$rev; do \
390	  echo "Making $$target in $$subdir"; \
391	  if test "$$subdir" = "."; then \
392	    local_target="$$target-am"; \
393	  else \
394	    local_target="$$target"; \
395	  fi; \
396	  (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
397	  || eval $$failcom; \
398	done && test -z "$$fail"
399tags-recursive:
400	list='$(SUBDIRS)'; for subdir in $$list; do \
401	  test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
402	done
403ctags-recursive:
404	list='$(SUBDIRS)'; for subdir in $$list; do \
405	  test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) ctags); \
406	done
407
408ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
409	list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
410	unique=`for i in $$list; do \
411	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
412	  done | \
413	  $(AWK) '    { files[$$0] = 1; } \
414	       END { for (i in files) print i; }'`; \
415	mkid -fID $$unique
416tags: TAGS
417
418TAGS: tags-recursive $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
419		$(TAGS_FILES) $(LISP)
420	tags=; \
421	here=`pwd`; \
422	if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
423	  include_option=--etags-include; \
424	  empty_fix=.; \
425	else \
426	  include_option=--include; \
427	  empty_fix=; \
428	fi; \
429	list='$(SUBDIRS)'; for subdir in $$list; do \
430	  if test "$$subdir" = .; then :; else \
431	    test ! -f $$subdir/TAGS || \
432	      tags="$$tags $$include_option=$$here/$$subdir/TAGS"; \
433	  fi; \
434	done; \
435	list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
436	unique=`for i in $$list; do \
437	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
438	  done | \
439	  $(AWK) '    { files[$$0] = 1; } \
440	       END { for (i in files) print i; }'`; \
441	if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
442	  test -n "$$unique" || unique=$$empty_fix; \
443	  $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
444	    $$tags $$unique; \
445	fi
446ctags: CTAGS
447CTAGS: ctags-recursive $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
448		$(TAGS_FILES) $(LISP)
449	tags=; \
450	here=`pwd`; \
451	list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
452	unique=`for i in $$list; do \
453	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
454	  done | \
455	  $(AWK) '    { files[$$0] = 1; } \
456	       END { for (i in files) print i; }'`; \
457	test -z "$(CTAGS_ARGS)$$tags$$unique" \
458	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
459	     $$tags $$unique
460
461GTAGS:
462	here=`$(am__cd) $(top_builddir) && pwd` \
463	  && cd $(top_srcdir) \
464	  && gtags -i $(GTAGS_ARGS) $$here
465
466distclean-tags:
467	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
468
469distdir: $(DISTFILES)
470	$(am__remove_distdir)
471	mkdir $(distdir)
472	$(mkdir_p) $(distdir)/contrib $(distdir)/doc $(distdir)/m4
473	@srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
474	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
475	list='$(DISTFILES)'; for file in $$list; do \
476	  case $$file in \
477	    $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
478	    $(top_srcdir)/*) file=`echo "$$file" | sed "s|^$$topsrcdirstrip/|$(top_builddir)/|"`;; \
479	  esac; \
480	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
481	  dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
482	  if test "$$dir" != "$$file" && test "$$dir" != "."; then \
483	    dir="/$$dir"; \
484	    $(mkdir_p) "$(distdir)$$dir"; \
485	  else \
486	    dir=''; \
487	  fi; \
488	  if test -d $$d/$$file; then \
489	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
490	      cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
491	    fi; \
492	    cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
493	  else \
494	    test -f $(distdir)/$$file \
495	    || cp -p $$d/$$file $(distdir)/$$file \
496	    || exit 1; \
497	  fi; \
498	done
499	list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
500	  if test "$$subdir" = .; then :; else \
501	    test -d "$(distdir)/$$subdir" \
502	    || $(mkdir_p) "$(distdir)/$$subdir" \
503	    || exit 1; \
504	    distdir=`$(am__cd) $(distdir) && pwd`; \
505	    top_distdir=`$(am__cd) $(top_distdir) && pwd`; \
506	    (cd $$subdir && \
507	      $(MAKE) $(AM_MAKEFLAGS) \
508	        top_distdir="$$top_distdir" \
509	        distdir="$$distdir/$$subdir" \
510	        distdir) \
511	      || exit 1; \
512	  fi; \
513	done
514	-find $(distdir) -type d ! -perm -777 -exec chmod a+rwx {} \; -o \
515	  ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
516	  ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
517	  ! -type d ! -perm -444 -exec $(SHELL) $(install_sh) -c -m a+r {} {} \; \
518	|| chmod -R a+r $(distdir)
519dist-gzip: distdir
520	tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
521	$(am__remove_distdir)
522dist-bzip2: distdir
523	tardir=$(distdir) && $(am__tar) | bzip2 -9 -c >$(distdir).tar.bz2
524	$(am__remove_distdir)
525
526dist-tarZ: distdir
527	tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
528	$(am__remove_distdir)
529
530dist-shar: distdir
531	shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
532	$(am__remove_distdir)
533
534dist-zip: distdir
535	-rm -f $(distdir).zip
536	zip -rq $(distdir).zip $(distdir)
537	$(am__remove_distdir)
538
539dist dist-all: distdir
540	tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
541	tardir=$(distdir) && $(am__tar) | bzip2 -9 -c >$(distdir).tar.bz2
542	$(am__remove_distdir)
543
544# This target untars the dist file and tries a VPATH configuration.  Then
545# it guarantees that the distribution is self-contained by making another
546# tarfile.
547distcheck: dist
548	case '$(DIST_ARCHIVES)' in \
549	*.tar.gz*) \
550	  GZIP=$(GZIP_ENV) gunzip -c $(distdir).tar.gz | $(am__untar) ;;\
551	*.tar.bz2*) \
552	  bunzip2 -c $(distdir).tar.bz2 | $(am__untar) ;;\
553	*.tar.Z*) \
554	  uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
555	*.shar.gz*) \
556	  GZIP=$(GZIP_ENV) gunzip -c $(distdir).shar.gz | unshar ;;\
557	*.zip*) \
558	  unzip $(distdir).zip ;;\
559	esac
560	chmod -R a-w $(distdir); chmod u+w $(distdir)
561	mkdir $(distdir)/_build
562	mkdir $(distdir)/_inst
563	chmod a-w $(distdir)
564	dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
565	  && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
566	  && cd $(distdir)/_build \
567	  && ../configure --srcdir=.. --prefix="$$dc_install_base" \
568	    $(DISTCHECK_CONFIGURE_FLAGS) \
569	  && $(MAKE) $(AM_MAKEFLAGS) \
570	  && $(MAKE) $(AM_MAKEFLAGS) dvi \
571	  && $(MAKE) $(AM_MAKEFLAGS) check \
572	  && $(MAKE) $(AM_MAKEFLAGS) install \
573	  && $(MAKE) $(AM_MAKEFLAGS) installcheck \
574	  && $(MAKE) $(AM_MAKEFLAGS) uninstall \
575	  && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
576	        distuninstallcheck \
577	  && chmod -R a-w "$$dc_install_base" \
578	  && ({ \
579	       (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
580	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
581	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
582	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
583	            distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
584	      } || { rm -rf "$$dc_destdir"; exit 1; }) \
585	  && rm -rf "$$dc_destdir" \
586	  && $(MAKE) $(AM_MAKEFLAGS) dist \
587	  && rm -rf $(DIST_ARCHIVES) \
588	  && $(MAKE) $(AM_MAKEFLAGS) distcleancheck
589	$(am__remove_distdir)
590	@(echo "$(distdir) archives ready for distribution: "; \
591	  list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
592	  sed -e '1{h;s/./=/g;p;x;}' -e '$${p;x;}'
593distuninstallcheck:
594	@cd $(distuninstallcheck_dir) \
595	&& test `$(distuninstallcheck_listfiles) | wc -l` -le 1 \
596	   || { echo "ERROR: files left after uninstall:" ; \
597	        if test -n "$(DESTDIR)"; then \
598	          echo "  (check DESTDIR support)"; \
599	        fi ; \
600	        $(distuninstallcheck_listfiles) ; \
601	        exit 1; } >&2
602distcleancheck: distclean
603	@if test '$(srcdir)' = . ; then \
604	  echo "ERROR: distcleancheck can only run from a VPATH build" ; \
605	  exit 1 ; \
606	fi
607	@test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
608	  || { echo "ERROR: files left in build directory after distclean:" ; \
609	       $(distcleancheck_listfiles) ; \
610	       exit 1; } >&2
611check-am: all-am
612check: check-recursive
613all-am: Makefile config.h
614installdirs: installdirs-recursive
615installdirs-am:
616install: install-recursive
617install-exec: install-exec-recursive
618install-data: install-data-recursive
619uninstall: uninstall-recursive
620
621install-am:
622	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
623
624installcheck: installcheck-recursive
625install-strip:
626	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
627	  install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
628	  `test -z '$(STRIP)' || \
629	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
630mostlyclean-generic:
631
632clean-generic:
633
634distclean-generic:
635	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
636
637maintainer-clean-generic:
638	@echo "This command is intended for maintainers to use"
639	@echo "it deletes files that may require special tools to rebuild."
640clean: clean-recursive
641
642clean-am: clean-generic mostlyclean-am
643
644distclean: distclean-recursive
645	-rm -f $(am__CONFIG_DISTCLEAN_FILES)
646	-rm -f Makefile
647distclean-am: clean-am distclean-generic distclean-hdr distclean-tags
648
649dvi: dvi-recursive
650
651dvi-am:
652
653html: html-recursive
654
655info: info-recursive
656
657info-am:
658
659install-data-am:
660
661install-exec-am:
662
663install-info: install-info-recursive
664
665install-man:
666
667installcheck-am:
668
669maintainer-clean: maintainer-clean-recursive
670	-rm -f $(am__CONFIG_DISTCLEAN_FILES)
671	-rm -rf $(top_srcdir)/autom4te.cache
672	-rm -f Makefile
673maintainer-clean-am: distclean-am maintainer-clean-generic
674
675mostlyclean: mostlyclean-recursive
676
677mostlyclean-am: mostlyclean-generic
678
679pdf: pdf-recursive
680
681pdf-am:
682
683ps: ps-recursive
684
685ps-am:
686
687uninstall-am: uninstall-info-am
688
689uninstall-info: uninstall-info-recursive
690
691.PHONY: $(RECURSIVE_TARGETS) CTAGS GTAGS all all-am am--refresh check \
692	check-am clean clean-generic clean-recursive ctags \
693	ctags-recursive dist dist-all dist-bzip2 dist-gzip dist-shar \
694	dist-tarZ dist-zip distcheck distclean distclean-generic \
695	distclean-hdr distclean-recursive distclean-tags \
696	distcleancheck distdir distuninstallcheck dvi dvi-am html \
697	html-am info info-am install install-am install-data \
698	install-data-am install-exec install-exec-am install-info \
699	install-info-am install-man install-strip installcheck \
700	installcheck-am installdirs installdirs-am maintainer-clean \
701	maintainer-clean-generic maintainer-clean-recursive \
702	mostlyclean mostlyclean-generic mostlyclean-recursive pdf \
703	pdf-am ps ps-am tags tags-recursive uninstall uninstall-am \
704	uninstall-info-am
705
706
707.PHONY: localcheck remotecheck proxycheck
708localcheck remotecheck proxycheck: all
709	cd src && $(MAKE) $(AM_MAKEFLAGS) "$@"
710
711.PHONY: doc
712doc:
713	cd doc && $(MAKE) $(AM_MAKEFLAGS) "$@"
714
715# for backwards compatibility with the old makefiles
716.PHONY: realclean
717realclean: maintainer-clean
718# Tell versions [3.59,3.63) of GNU make to not export all variables.
719# Otherwise a system limit (for SysV at least) may be exceeded.
720.NOEXPORT:
721